# QuakeLiveDocker

Dockerised Quake Live server.

Run with the following environment variables:

```
HOSTNAME       (default: Quake)
GAME_PORT      (default: 27960)
RCON_PORT      (default: 28960)
PASSWORD       (default: none)
RCON_PASSWORD  (default: none)
STATS_PASSWORD (default: none)
```

Example `docker-compose.yml` file:

```yml
version: '3'
services:
  quakelive:
    image: docker.nexus.jacknet.io/jackhadrill/games/quakelive:latest
    ports:
      - '27960:27960/udp'
      - '27960:27960/tcp'
      - '28960:28960/tcp'
    environment:
      - HOSTNAME=JackNet
      - PASSWORD=password123
      - RCON_PASSWORD=superSecurePassword
```

Mount /game if you want some level of persistence. I haven't tried getting updates to work, so instead I just download from fresh on each boot.